AbstractBuildCache (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.caching.configuration

## Class AbstractBuildCache

- java.lang.Object
- - org.gradle.caching.configuration.AbstractBuildCache

- All Implemented Interfaces:
    `BuildCache`
  Direct Known Subclasses:
    `DirectoryBuildCache`, `HttpBuildCache`

      public abstract class AbstractBuildCache
      extends Object
      implements BuildCache

  Base implementation for build cache service configuration.
  Since:
    3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractBuildCache()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isEnabled()` | Returns whether the build cache is enabled.
    `boolean` | `isPush()` | Returns whether a given build can store outputs in the build cache.
    `void` | `setEnabled​(boolean enabled)` | Sets whether the build cache is enabled.
    `void` | `setPush​(boolean push)` | Sets whether a given build can store outputs in the build cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBuildCache

          public AbstractBuildCache()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Returns whether the build cache is enabled.
      Specified by:
        `isEnabled` in interface `BuildCache`

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Sets whether the build cache is enabled.
      Specified by:
        `setEnabled` in interface `BuildCache`

    - #### isPush

          public boolean isPush()

      Returns whether a given build can store outputs in the build cache.
      Specified by:
        `isPush` in interface `BuildCache`

    - #### setPush

          public void setPush​(boolean push)

      Sets whether a given build can store outputs in the build cache.
      Specified by:
        `setPush` in interface `BuildCache`